MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026657Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-09-07 17:302016-04-20 15:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026657: Data Exchange - IGES/STEP OCAF writers should keep hierarchy and colors when saving non-root elements
DescriptionNew feature implemented within 0026500 has limited usage, because some information is lost during export (hierarchy of sub-assemblies and assigned colors).
Steps To ReproduceBranch CR26657 is ready to be reviewed.
TagsNo tags attached.
Test case numberbugs step bug26657
Attached Files? file icon bug26657.stp (434,573 bytes) 2015-09-10 11:00

- Relationships
child of 0026500closedski Open CASCADE Add the possibility to save only part of shapes from XCAF document in IGES/STEP writers 

-  Notes
(0045296)
git (administrator)
2015-09-09 12:17

Branch CR26657 has been created by gka.

SHA-1: e7f10e62a96c2b2af2f162e6fbf1bf53a67ac439


Detailed log of new commits:

Author: gka
Date: Wed Sep 9 12:12:56 2015 +0300

    0026657: Data Exchange - IGES/STEP OCAF writers should keep hierarchy and colors when saving non-root elements
    
    Make modification to save in the file part of the XCAF document starting from specified label.
    If specified label is component of the high-level assembly then high-level assembly is saved in document with one specified component.
    In other case only part of the document starting from the specified label is saved.
(0045375)
git (administrator)
2015-09-10 10:58

Branch CR26657 has been updated forcibly by gka.

SHA-1: fd6a07e6442aedefad06e055c80feab13b09eb5b
(0045376)
gka (developer)
2015-09-10 11:01

Input file to test script is attached.
(0045378)
gka (developer)
2015-09-10 11:03
edited on: 2015-09-10 11:03

Branch CR26657 is ready to be reviewed

(0045642)
abv (manager)
2015-09-15 15:07

No remarks, please test
(0045646)
git (administrator)
2015-09-15 15:43

Branch CR26657 has been updated forcibly by mkv.

SHA-1: aab5e42b0fc9385cab951d27d859da905e1499f5
(0045716)
mkv (tester)
2015-09-16 15:03

Dear BugMaster,
Branch CR26657 was rebased on current master of occt git-repository.
SHA-1: aab5e42b0fc9385cab951d27d859da905e1499f5
(0045717)
mkv (tester)
2015-09-16 15:04

Dear BugMaster,
Branch CR26657 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: aab5e42b0fc9385cab951d27d859da905e1499f5

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26657-master-occt-64/Debian70-64/bugs/step/bug26657.html [^]
http://occt-tests/CR26657-master-occt-64/Windows-64-VC10/bugs/step/bug26657.html [^]
bugs step bug26657: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92317248 / 92768096 [-0.49%]
Total CPU difference: 18029.13999999899 / 17943.559999999085 [+0.48%]
products component :
Total MEMORY difference: 25870266 / 25875135 [-0.02%]
Total CPU difference: 7073.759999999999 / 7185.6699999999955 [-1.56%]

Testing on Windows:
occt component :
Total MEMORY difference: 57713938 / 57706677 [+0.01%]
Total CPU difference: 16443.207404498975 / 16459.36910809923 [-0.10%]
products component :
Total MEMORY difference: 16782679 / 16782651 [+0.00%]
Total CPU difference: 5522.1857983999735 / 5565.444875699965 [-0.78%]

There are no differences in images found by testdiff.
(0047090)
git (administrator)
2015-10-16 16:58

Branch CR26657 has been deleted by kgv.

SHA-1: aab5e42b0fc9385cab951d27d859da905e1499f5

- Related Changesets
occt: master f5e92b04
Timestamp: 2015-09-10 07:54:21
Author: gka
Committer: bugmaster
Details ] Diff ]
0026657: Data Exchange - IGES/STEP OCAF writers should keep hierarchy and colors when saving non-root elements

Make modification to save in the file part of the XCAF document starting from specified label.
If specified label is component of the high-level assembly then high-level assembly is saved in document with one specified component.
In other case only part of the document starting from the specified label is saved.
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
add - tests/bugs/step/bug26657 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-07 17:30 kgv New Issue
2015-09-07 17:30 kgv Assigned To => gka
2015-09-07 17:30 kgv Relationship added child of 0026500
2015-09-07 17:30 kgv Status new => assigned
2015-09-07 17:30 kgv Target Version => 7.0.0
2015-09-07 17:31 kgv Relationship added child of 0026501
2015-09-09 12:17 git Note Added: 0045296
2015-09-09 12:18 gka Assigned To gka => abv
2015-09-09 12:18 gka Status assigned => resolved
2015-09-09 12:18 gka Steps to Reproduce Updated View Revisions
2015-09-10 10:58 git Note Added: 0045375
2015-09-10 11:00 gka File Added: bug26657.stp
2015-09-10 11:01 gka Note Added: 0045376
2015-09-10 11:03 gka Note Added: 0045378
2015-09-10 11:03 gka Note Edited: 0045378 View Revisions
2015-09-15 15:07 abv Note Added: 0045642
2015-09-15 15:07 abv Assigned To abv => bugmaster
2015-09-15 15:07 abv Status resolved => reviewed
2015-09-15 15:29 mkv Assigned To bugmaster => mkv
2015-09-15 15:43 git Note Added: 0045646
2015-09-16 15:03 mkv Note Added: 0045716
2015-09-16 15:04 mkv Note Added: 0045717
2015-09-16 15:04 mkv Assigned To mkv => bugmaster
2015-09-16 15:04 mkv Status reviewed => tested
2015-09-16 15:04 mkv Test case number => bugs step bug26657
2015-09-18 13:31 bugmaster Changeset attached => occt master f5e92b04
2015-09-18 13:31 bugmaster Status tested => verified
2015-09-18 13:31 bugmaster Resolution open => fixed
2015-10-16 16:58 git Note Added: 0047090
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker